Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet.events
Class PortletEvent

    java.lang.Object
      com.bea.netuix.nf.events.UIEvent
          com.bea.netuix.servlets.controls.AbstractEvent
              com.bea.netuix.servlets.controls.portlet.events.PortletEvent

All Implemented Interfaces:
  Serializable

public class PortletEvent
extends AbstractEvent

A generic event class to be used by developers to perform interportlet communications. You can attach an arbitrary payload to this object.

To fire a portlet event, get the event manager using the static method `getEventManager` and call `fireEvent` on it.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bea.netuix.servlets.controls.AbstractEvent
`AbstractEvent.Manager`

Constructor Summary
`PortletEvent()`
`PortletEvent(Object payload)` Set the payload.

Method Summary
`static void` | `addGlobalListener(BackingContext backingContext, PortletEventListener listener)` Register a listener to be interested `PortletEvent` events.
`static AbstractEvent.Manager` | `getEventManager(Object sourceObject, BackingContext backingContext)` Get a reference to the Event manager.
`Object` | `getPayload()`
`static void` | `removeGlobalListener(BackingContext backingContext, PortletEventListener listener)` Unregister a listener for `PortletEvent` events.
`void` | `setPayload(Object payload)` Set the event payload.
`String` | `toString()`

Methods inherited from class com.bea.netuix.servlets.controls.AbstractEvent
`addGlobalListener, getEventManager, removeGlobalListener`

Methods inherited from class com.bea.netuix.nf.events.UIEvent
`addGlobalListener, getGlobalListeners, removeGlobalListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletEvent

    public PortletEvent()

### PortletEvent

    public PortletEvent(Object payload)

  Set the payload. The payload is arbitrary and opaque to the portal framework. Listeners will have to know what to do with the payload.

Parameters:
  `payload` -

Method Detail

### getPayload

    public Object getPayload()

### setPayload

    public void setPayload(Object payload)

  Set the event payload. This payload is used by the consumer of the event only.

### getEventManager

    public static AbstractEvent.Manager getEventManager(Object sourceObject,
                                                        BackingContext backingContext)

  Get a reference to the Event manager.

  Parameters:
    `sourceObject` - a reference to the object firing the event
    `backingContext` - any backing context `WindowBackingContext`
  Returns:
    a reference to this events manager.

### addGlobalListener

    public static void addGlobalListener(BackingContext backingContext,
                                         PortletEventListener listener)

  Register a listener to be interested `PortletEvent` events. When such an event is fired, all listeners will have their `handleEvent` methods called.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing `AbstractEventListener`

### removeGlobalListener

    public static void removeGlobalListener(BackingContext backingContext,
                                            PortletEventListener listener)

  Unregister a listener for `PortletEvent` events.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing `AbstractEventListener`

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved